%define upstream_name    Alien-Base-ModuleBuild
%define upstream_version 1.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Authoring an C<Alien::> module using Alien::Base::ModuleBuild
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Acme::Alien::DontPanic)
BuildRequires: perl(Alien::Base)         	 
BuildRequires: perl(Alien::Base::PkgConfig)       	 
BuildRequires: perl(Archive::Extract)     	 
BuildRequires: perl(Archive::Tar)         	 
BuildRequires: perl(Capture::Tiny)       	 
BuildRequires: perl(File::chdir)         	 
BuildRequires: perl(HTTP::Tiny)           	 
BuildRequires: perl(List::Util)           	 
BuildRequires: perl(Module::Build)       	 
BuildRequires: perl(Path::Tiny)           	 
BuildRequires: perl(Shell::Config::Generate)     	 
BuildRequires: perl(Shell::Guess)         	 
BuildRequires: perl(Sort::Versions)       	 
BuildRequires: perl(Text::ParseWords)     	 
BuildRequires: perl(Test2::V0)   	 
BuildRequires: perl(URI)

BuildArch:  noarch

%description
This is a subclass of the Module::Build manpage, that with the Alien::Base
manpage allows for easy creation of Alien distributions. This module is
used during the build step of your distribution. When properly configured
it will

* use pkg-config to find and use the system version of the library

* download, build and install the library if the system does not provide it

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.170.0-2.mga10
+ Revision: 2215141
- Mageia 10 Mass Rebuild

* Thu Sep 15 2022 tv <tv> 1.170.0-1.mga9
+ Revision: 1888963
- Restore BRs removed by "magpie fix"
- update to 1.17

* Mon Mar 28 2022 umeabot <umeabot> 1.150.0-2.mga9
+ Revision: 1830366
- Mageia 9 Mass Rebuild

* Sat Aug 29 2020 tv <tv> 1.150.0-1.mga8
+ Revision: 1619591
- restore BRs droped by "magpie fix"
- update to 1.15

* Fri Feb 21 2020 umeabot <umeabot> 1.140.0-2.mga8
+ Revision: 1547893
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1.140.0-1.mga8
+ Revision: 1488605
- update to 1.14

* Fri Jan 31 2020 tv <tv> 1.100.0-1.mga8
+ Revision: 1485881
- restore BRs removed by 'magpie fix' when there's a comment
- update to 1.10

* Tue Nov 26 2019 tv <tv> 1.80.0-1.mga8
+ Revision: 1462977
- update to 1.08

* Sat Nov 23 2019 tv <tv> 1.70.0-1.mga8
+ Revision: 1462344
- update to 1.07

* Thu Dec 20 2018 tv <tv> 1.60.0-1.mga7
+ Revision: 1343417
- update to 1.06

* Thu Sep 20 2018 umeabot <umeabot> 1.50.0-2.mga7
+ Revision: 1281563
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 1.50.0-1.mga7
+ Revision: 1258688
- update to 1.05

* Fri Jun 22 2018 shlomif <shlomif> 1.40.0-1.mga7
+ Revision: 1238892
- update to 1.04

* Thu May 10 2018 shlomif <shlomif> 1.30.0-1.mga7
+ Revision: 1228147
- update to 1.03

* Tue Mar 20 2018 shlomif <shlomif> 1.20.0-1.mga7
+ Revision: 1210556
- update to 1.02

* Mon Oct 02 2017 tv <tv> 1.0.0-2.mga7
+ Revision: 1162796
- rebuild with fixed rpm for missing autodeps

* Mon Oct 02 2017 guillomovitch <guillomovitch> 1.0.0-1.mga7
+ Revision: 1162664
- new version 1.00

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.46.0-1.mga7
+ Revision: 1156026
- new version 0.046

* Sun Jul 30 2017 shlomif <shlomif> 0.42.0-1.mga7
+ Revision: 1132829
- import from cpan2dist - needed by Alien::Base


* Sun Jul 30 2017 cpan2dist 0.042-1mga
- initial mageia release, generated with cpan2dist
